QGIS Application - Bug report #3980
Print composer produces downsampled images regardless of DPI
2011-06-12 01:13 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 13976
Description

The Print Composer declines to produce the best quality image at a given DPI.

Attached are excerpts from two runs of the Print Composer, the only difference that one was run at 300 DPI, and one was run at 600 DPI.
Both times | exported to a PNG.

The 600 DPI PNG is 16.3 MB, and the 300 DPI PNG is 7.2 MB.

What should happen: Print Composer produces the best quality image available to a given DPI.

I've also attached an example of what happens on the same area when | do File > Save as Image from within QGIS.

History

#1 - 2011-08-29 10:41 PM - Paolo Cavallini
- Category set to 33
- Pull Request or Patch supplied set to No

#2 - 2011-12-16 02:12 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2012-04-16 06:28 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:01 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-01-30 11:43 PM - Paolo Cavallini
- Target version changed from Version 2.0.0 to Future Release - High Priority

#6 - 2014-04-06 06:03 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#7 - 2014-06-01 02:57 AM - Nyall Dawson
- Status changed from Open to Feedback

| don't understand this bug... can you please give some more descriptions as to what's wrong with the attached images? They look ok to me...
#8 - 2014-09-19 07:51 PM - Nyall Dawson
- Resolution set to invalid
- Status changed from Feedback to Closed

Closed due to lack of feedback

Files

composer_export_300_sample.png 74.4 KB

composer_export_600_sample.png 221 KB

Save_as_Image.png 333 KB
